<?php
	// Split the featured pages from the options, and put in an array
	$featuredpages = get_option('themeteam_graffiti_featured_slider_ids');
	$featuredpages_array=split(",",$featuredpages); 
	$featuredpages_array = array_diff($featuredpages_array, array(""));
?>

<div id="graffiti-slider" class="clearfix">
	<div class="container_12">
		<div id="normal-width-slider">
        	<ul>
            	<?php foreach ( $featuredpages_array as $featureditem ) { ; ?>
					<?php query_posts('page_id=' . $featureditem); ?>
				    <?php if (have_posts()) : while (have_posts()) : the_post(); $count++; 
				    	$themeteam_custom_link = get_post_meta($post->ID, "themeteam_custom_link", true); 
				    	$themeteam_slider_text = get_post_meta($post->ID, "themeteam_slider_text", true); 
				    	$themeteam_header_text = get_post_meta($post->ID, "themeteam_header_text", true); 
				    	$themeteam_image_upload = get_post_meta($post->ID, "themeteam_image_upload", true); 
				    	$themeteam_video_embed = get_post_meta($post->ID, "themeteam_video_embed", true); 
				    	$themeteam_video_height = get_post_meta($post->ID, "themeteam_video_height", true); 
				    	$themeteam_video_width = get_post_meta($post->ID, "themeteam_video_width", true); 
				    	$video_width = $themeteam_video_width + 2;
				    	$video_height = $themeteam_video_height + 2;
				    ?>
		            	<li>
		              		<?php if($themeteam_image_upload || $themeteam_image_upload = '') { ?>
                			<div class="feature-img">
	                        		<?php if ( $themeteam_custom_link ) {?>
		      							<a href="<?php echo $themeteam_custom_link; ?>"><?php echo themeteam_resize($themeteam_image_upload,'Slider Image','','940','400'); ?></a>
		      						<?php } else { ?>
		      							<a href="<?php echo get_page_link($post->ID); ?>"><?php echo themeteam_resize($themeteam_image_upload,'Slider Image','','940','400'); ?></a>
		      						<?php }?>
	      					</div>
							<?php } else if ($themeteam_video_embed) { ?>
							<div class="grid_8" style="height:auto; padding-top:30px;">
									<?php echo $themeteam_video_embed; ?>
								</div>
							</div>
							<?php } ?>
		              		<div class="feature-copy">
		                		<h1>
		                			<?php if ( $themeteam_custom_link ) {?>
			      						<a href="<?php echo $themeteam_custom_link; ?>"><?php echo get_the_title(); ?></a>
			      					<?php } else { ?>
			      						<a href="<?php echo get_page_link($post->ID); ?>"><?php echo get_the_title(); ?></a>
			      					<?php }?>
		                		</h1>
		                		<p>
		                			<?php echo $themeteam_slider_text; ?> 
		                		</p>
		              		</div>
                			
		            	</li>
            		<?php endwhile; endif; ?>
				<?php } ?>
            </ul>
		</div>
    </div>		
</div>