<?php
$alt_slider = array('Slidershow','Accordion Slider');

$alt_stylesheet_path = TEMPLATEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
	if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
		while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
			if(stristr($alt_stylesheet_file, ".css") !== false) {
				$alt_stylesheets[] = $alt_stylesheet_file;
			}
		}	
	}
}

// Get the style path currently selected
function themeteam_style_path() {

	$style = $_REQUEST[style];
	
	if ($style != '') {

		$style_path = $style;

	} else {
		
		$stylesheet = get_option('themeteam_alt_stylesheet');
		$style_path = str_replace(".css","",$stylesheet);
	
	}
	
	echo 'styles/'.$style_path;
	
}

// Image Alignment radio box
$options_message_layout = array("yes" => "Enable","none" => "Disable"); 
$options_featured_layout = array("portfolio" => "Portfolio Listing", "3posts" => "3 Sticky Posts", "none" => "Display None");
$options_footer_layout = array("default" => "Default Predefined Style", "custom" => "Custom Content");
$options_slider_layout = array("nivo" => "Nivo Slider - Images Only");

$options_cufon = array(
	"Aller.font.js" => "Aller Light",
	"Andika.font.js" => "Andika Basic",
	"Bebas.font.js" => "Bebas Neue",
	"Caviar_Dreams-Bold.font.js" => "Caviar Dreams",
	"Caviar_Dreams.font.js" => "Caviar Dreams-Bold",
	"Colaborate.font.js" => "ColaborateLight",
	"Colaborate-Bold.font.js" => "Colaborate-Bold",
	"Delicious.font.js" => "Delicious",
	"Delicious-Bold.font.js" => "Delicious-Bold",
	"Geosans.font.js" => "GeosansLight",
	"Lane-Narrow.js" => "Lane - Narrow",
	"Lobster.font.js" => "Lobster 1.3",
	"League_Gothic.font.js" => "League Gothic",
	"Mido.font.js" => "Mido",
	"Miso.font.js" => "Miso",
	"PT_Sans.font.js" => "PT Sans",
	"PT_Sans-Bold.font.js" => "PT Sans-Bold",
	"Sansation.font.js" => "Sansation",
	"Sansation-Bold.font.js" => "Sansation-Bold",
	"Segan.font.js" => "Segan",
	"Tallys.font.js" => "Tallys",
	"Yanone_Kaffeesatz.font.js" => "Yanone Kaffeesatz",
	"Yanone_Kaffeesatz-Bold.font.js" => "Yanone Kaffeesatz-Bold"  
);
$options_enable_cufon = array("yes" => "Enable", "no" => "Disable");
$options_enable_tabbed_area = array("yes" => "Enable", "no" => "Disable");
$options_button_color = array(
	"default" => "Default",
	"slateblue" => "Slate Blue",
	"darkgray" => "Dark Gray",
	"lightblue" => "Light Blue",
	"blue" => "Blue",
	"coffee" => "Coffee",
	"dark" => "Dark",
	"pink" => "Pink",
	"lightgreen" => "Light Green",
	"orange" => "Orange",
	"darkgreen" => "Dark Green",
	"yellow" => "Yellow",
	"darkyellow" => "Dark Yellow",
	"purple" => "Purple",
	"darkpurple" => "Dark Purple",
	"grey" => "Grey",
	"greymetal" => "Greymetal",
	"red" => "Red",
	"camel" => "Camel"
);

//set up options
$options[] = array(	"name" => __('General Options','themeteam'),
					"type" => "heading");

$options[] = array(	"name" => __('Header','themeteam'),
					"type" => "subsection");
					
$options[] = array(	"name" => __('Custom Logo','themeteam'),
					"desc" => __('Enter a URL or upload an image for the banner.','themeteam'),
					"id" => "themeteam_logo_upload",
					"std" => "",
					"css" => "normal",
					"type" => "logo_upload");					

$options[] = array("name" => __('Breadcrumbs','themeteam'),
					"id" => $shortname."_enable_breadcrumbs",
					"std" => "yes",
					"type" => "radio",
					"css" => "normal",
					"options" => array("true" => __('Enable','themeteam'), 'false' => __('Disable','themeteam')));

/*$options[] = array(	"name" => __('Buttons','themeteam'),
					"type" => "subsection");

$options[] = array( "name" => __('Common Button Color','themeteam'),
					"desc" => __('Select the Common Button Color.','themeteam'),
					"id" => $shortname."_button_color",
					"std" => "",
					"type" => "select",
					"css" => "normal",
					"options" => $options_button_color);
*/
$options[] = array(	"name" => __('Footer Color','themeteam'),
					"type" => "subsection");

$options[] = array(	"name" => __('Default Color','themeteam'),
					"id" => $shortname."_custom_bg",
					"std" => "",
					"options" => array("bg_default" => __('Enable','themeteam')),
					"css" => "normal",
					"type" => "radio");

$options[] = array(	"name" => __('Custom Color','themeteam'),
					"id" => $shortname."_custom_bg",
					"std" => "",
					"options" => array("bg_color" => __('Enable','themeteam')),
					"css" => "none",
					"type" => "radio");

$options[] = array(	"name" => __('Hex Color','themeteam'),
					"id" => $shortname."_color_bg",
					"std" => "",
					"css" => "normal",
					"type" => "colorpicker");					

$options[] = array(	"name" => __('Other Options','themeteam'),
					"type" => "subsection");
					
$options[] = array(	"name" => __("Google Analytics","themeteam"),
					"desc" => __("Please paste your Google Analytics (or other) tracking code here.","themeteam"),
					"id" => $shortname."_google_analytics",
					"std" => "",
					"css" => "normal",
					"type" => "textarea");

$options[] = array(	"name" => __("Contact Email","themeteam"),
					"desc" => __("Enter the Email Address that you would like to use to receive contact us emails.","themeteam"),
					"id" => $shortname."_email_contact",
					"std" => "test@test.com",
					"css" => "normal",
					"type" => "text");					
					
$options[] = array(	"name" => __("Homepage Options","themeteam"),
					"type" => "heading");

$options[] = array(	"name" => __("Slider","themeteam"),
					"type" => "subsection");

$options[] = array( "name" => __("Featured Pages","themeteam"),
					"desc" => __("Select the pages you would like to display in the slider.","themeteam"),
					"id" => $shortname."_featured_slider_ids",
					"std" => null,
					"css" => "normal",
					"type" => "checkboxselect");
					
$options[] = array(	"name" => __("Featured Page IDs","themeteam"),
					"desc" => __("Enter a comma separated list of the page IDs to display in the slider.","themeteam"),
					"id" => $shortname."_featured_slider_ids",
					"std" => "",
					"css" => "normal",
					"type" => "text"); 
					
$options[] = array(	"name" => __("Portfolio / Posts Area","themeteam"),
					"type" => "subsection");

$options[] = array( "name" => __("Portfolio / Posts Layout","themeteam"),
					"desc" => __("Select which layout to display on the Homepage.","themeteam"),
					"id" => $shortname."_featured_layout",
					"std" => "portfolio",
					"type" => "radio",
					"css" => "normal",
					"options" => $options_featured_layout);						

$options[] = array(	"name" => __("Portfolio Area Header","themeteam"),
					"desc" => __("Enter the text you wish to appear in the portfolio area header.","themeteam"),
					"id" => $shortname."_portfolio_area_header",
					"std" => "Portfolio",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Portfolio Area Link","themeteam"),
					"desc" => __("Enter the url to your portfolio page.","themeteam"),
					"id" => $shortname."_portfolio_area_link",
					"std" => "",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Portfolio Area Blurb","themeteam"),
					"desc" => __("Enter the text you wish to appear in the portfolio blurb area .","themeteam"),
					"id" => $shortname."_portfolio_area_blurb",
					"std" => "Portfolio",
					"css" => "normal",
					"type" => "textarea");

$options[] = array(	"name" => __("Portfolio IDs","themeteam"),
					"desc" => __("Enter a comma separated list of the 2 portfolio IDs to display on the front page.","themeteam"),
					"id" => $shortname."_portfolio_ids",
					"std" => "",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Message","themeteam"),
					"type" => "subsection");

$options[] = array( "name" => __("Homepage Message","themeteam"),
					"desc" => __("Enable message layout to display on front page.","themeteam"),
					"id" => $shortname."_message_layout",
					"std" => "",
					"type" => "radio",
					"css" => "normal",
					"options" => $options_message_layout); 

$options[] = array(	"name" => __("Message Tagline","themeteam"),
					"desc" => __("If you enabled Homepage Message, enter message tagline here.","themeteam"),
					"id" => $shortname."_individual_message_tagline",
					"css" => "normal",
					"type" => "textarea");

$options[] = array(	"name" => __("Message","themeteam"),
					"desc" => __("If you enabled Homepage Message, enter message here.","themeteam"),
					"id" => $shortname."_individual_message_text",
					"css" => "normal",
					"type" => "textarea");

$options[] = array(	"name" => __("Message Button Text","themeteam"),
					"desc" => __("If you enabled Homepage Message, enter Button text here.","themeteam"),
					"id" => $shortname."_individual_button_text",
					"css" => "normal",
					"type" => "text");
					
$options[] = array(	"name" => __("Message Button Link","themeteam"),
					"desc" => __("If you enabled Homepage Message, enter Button Link URL here.","themeteam"),
					"id" => $shortname."_individual_link",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Twitter Area","themeteam"),
					"type" => "subsection");
					
$options[] = array(	"name" => __("Twitter Name","themeteam"),
					"desc" => __("Enter Twitter username to display latest tweet on Homepage.","themeteam"),
					"id" => $shortname."_twitter_message",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Featured Area","themeteam"),
					"type" => "subsection");					

$options[] = array( "name" => __("Display Featured Area","themeteam"),
					"desc" => __("Choose whether to display Featured Area at the bottom of the Homepage.","themeteam"),
					"id" => $shortname."_featured_area",
					"std" => "yes",
					"type" => "radio",
					"css" => "normal",
					"options" => $options_enable_tabbed_area);

$options[] = array(	"name" => __("Featured Area","themeteam"),
					"desc" => __("If you enabled featured area, enter content here.","themeteam"),
					"id" => $shortname."_featured_area_content",//_featured_area_content
					"type" => "editor");
																				
$options[] = array(	"name" => __("Footer Options","themeteam"),
					"type" => "heading"); 

$options[] = array(	"name" => __("Footer Link 1 Text","themeteam"),
					"desc" => __("Enter the text for the Footer Link 1 here.","themeteam"),
					"id" => $shortname."_footer1_header",
					"std" => "Privacy Statement",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Footer Link 1 URL ","themeteam"),
					"desc" => __("Enter the URL for the Footer Link 1 here.","themeteam"),
					"id" => $shortname."_footer1_url",
					"std" => "",
					"css" => "normal",
					"type" => "text");
						
$options[] = array(	"name" => __("Footer Link 2 Text","themeteam"),
					"desc" => __("Enter the text for the Footer Link 2 here.","themeteam"),
					"id" => $shortname."_footer2_header",
					"std" => "Terms & Conditions",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Footer Link 2 URL ","themeteam"),
					"desc" => __("Enter the URL for the Footer Link 2 here.","themeteam"),
					"id" => $shortname."_footer2_url",
					"std" => "",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => __("Copyright","themeteam"),
					"desc" => __("Enter the copyright date and the copyright holder's name. The copyright symbol &#169; will be added automatically.","themeteam"),
					"id" => $shortname."_copyright",
					"std" => "2010",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => "Social Links",
					"type" => "subsection");

$options[] = array(	"name" => "Twitter Name",
					"desc" => "Enter twitter name here.",
					"id" => $shortname."_twitter_social_links",
					"css" => "normal",
					"type" => "text");
					
$options[] = array(	"name" => "Facebook Name",
					"desc" => "Enter Facebook Name here.",
					"id" => $shortname."_facebook_social_links",
					"css" => "normal",
					"type" => "text");

$options[] = array(	"name" => "Flickr Name",
					"desc" => "Enter Flickr Name here.",
					"id" => $shortname."_flickr_social_links",
					"css" => "normal",
					"type" => "text");
					
$options[] = array(	"name" => "Linkedin Name",
					"desc" => "Enter Linkedin Name here.",
					"id" => $shortname."_linkedin_social_links",
					"css" => "normal",
					"type" => "text");
					
$options[] = array(	"name" => "Youtube Name",
					"desc" => "Enter Youtube Name here.",
					"id" => $shortname."_youtube_social_links",
					"css" => "normal",
					"type" => "text");


$options[] = array(	"name" => __("Font Color Options","themeteam"),
					"type" => "heading");

$options[] = array(	"name" => __("Logo Font color","themeteam"),
					"type" => "subsection");
										
$options[] = array(	"name" => __("Logo Text Color","themeteam"),
					"id" => $shortname."_logo_font",
					"std" => "",
					"desc" => __("Pick the color of the Logo Text.","themeteam"),
					"css" => "normal",
					"type" => "colorpicker");					


$options[] = array(	"name" => __("Common Font colors","themeteam"),
					"type" => "subsection");

$options[] = array(	"name" => __("Link Color","themeteam"),
					"id" => $shortname."_link_font",
					"std" => "",
					"desc" => __("Pick the color of the links.","themeteam"),
					"css" => "normal",
					"type" => "colorpicker");

$options[] = array(	"name" => __("Link Hover Color","themeteam"),
					"id" => $shortname."_link_hover_font",
					"std" => "",
					"desc" => __("Pick the color of the links hover state.","themeteam"),
					"css" => "normal",
					"type" => "colorpicker");

$options[] = array(	"name" => __("Footer Font colors","themeteam"),
					"type" => "subsection");

$options[] = array(	"name" => __("Footer Text Color","themeteam"),
					"id" => $shortname."_footer_text_font",
					"std" => "",
					"desc" => __("Pick the color of the Footer Header Text.","themeteam"),
					"css" => "normal",
					"type" => "colorpicker");


$options[] = array(	"name" => __("Cufon Options","themeteam"),
					"type" => "heading");

$options[] = array( "name" => __("Cufon Font Replacement","themeteam"),
				   	"desc" => __("Choose to replace h1, h2, h3, h4, h5, h6 and menu item text with selected font below.","themeteam"),
				   	"id" =>  $shortname."_enable_cufon",
				   	"type" => "radio",
				   	"std" => "no",
				   	"css" => "normal",
				   	"options" => $options_enable_cufon
				  );

$options[] = array( "name" => __("Select Cufon Font","themeteam"),
					"desc" => __("Select the Cufon font you would like to use on the site.","themeteam"),
					"id" => $shortname."_cufon_font",
					"std" => null,
					"type" => "radio_ibutton",
					"css" => "normal",
					"options" => $options_cufon);
?>