<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */
/**
Template Name: Blog Listings - Small Images
*/
get_header();
$pageId = $post->ID;

?>
	<div class="page-title clearfix">
      <!-- <div class="grid_12"> -->
        <h1><?php the_title();?></h1>
      <!-- </div> -->
    </div>
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix nomargin">
		<?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
	</div>
	<?php } ?>
    <div class="grid_8 col-main dotted-vertical-separator small-image-listing-container">
             <?php $page = get_query_var('paged'); $args = array('paged'=> $page, 'posts_per_page'=> get_option('posts_per_page'), 'caller_get_posts' => 1 ); query_posts($args);?>
            
		     <?php if (have_posts()):?>
        <ul class="small-image-listing">
             <?php while (have_posts()): the_post() ?>
          <li class="post clearfix post-item">
            <?php if (has_post_thumbnail()): ?>
                <div class="thumbnail"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_post_thumbnail('thumb220x220'); ?></a></div>
                <?php endif ?>
                <div class="post-copy">
              	<span class="comments-big-icon"><?php comments_popup_link(__('0', 'themeteam'), __('1', 'themeteam'), __('%', 'themeteam')); ?></span>
              	<h2><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></h2>
              	<div class="left icons clearfix">
                	<span class="date-icon"><?php the_time( get_option('date_format') ); ?></span>
                    <span class="categories-icon"><?php the_category(', ') ?></span>
              	</div>
              <article class="article"><?php the_excerpt(); ?></article>
              </div> <!-- end post-copy -->
          </li>
      <?php endwhile; ?>
        </ul>
        <div class="clear"></div>
		<div class="left nav"><?php next_posts_link('&laquo; Older Entries') ?></div>
		<div class="right nav"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		<div class="clear"></div>
      <?php else:?>
		<h2><?php _e('Not Found', 'themeteam') ?></h2>
		<p><?php _e("Sorry, but you are looking for something that isn't here.", "themeteam") ?></p>
      
      <?php endif;?>
</div>
	<? wp_reset_query(); ?>
    <?php get_sidebar();?>
<?php get_footer(); ?>
