<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */

get_header(); ?>
	<?php
	  query_posts($query_string);  
	  //$args = array('cat'=>get_query_var('cat'),'tag'=> get_query_var('tag'),'paged'=> $paged, 'posts_per_page'=> get_option('posts_per_page') ); 
	  //query_posts($args); 
	  if (have_posts()): 
	?>
    <div class="page-title clearfix">
      <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
	 	  	<?php /* If this is a category archive */ if (is_category()) { ?>
				<h1><?php printf(__('Posts in %s', 'themeteam'), single_cat_title('',false)); ?></h1>
	 	  	<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
				<h><?php printf(__('Posts tagged %s', 'themeteam'), single_tag_title('',false)); ?></h1>
	 	  	<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
				<h1><?php _e('Archive for', 'themeteam') ?> <?php the_time('F jS, Y'); ?></h1>
	 	 	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
				<h1><?php _e('Archive for', 'themeteam') ?> <?php the_time('F, Y'); ?></h1>
	 		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
				<h1><?php _e('Archive for', 'themeteam') ?> <?php the_time('Y'); ?></h1>
		  	<?php /* If this is an author archive */ } elseif (is_author()) { ?>
				<h1><?php _e('Posts by', 'themeteam') ?> <?php echo $curauth->display_name; ?></h1>
	 	  	<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
				<h1><?php _e('Blog Archives', 'themeteam') ?></h1>
	 	  	<?php } ?>
    </div>
    <div class="content-separator black-down content-separator-small"></div>
<?php else:?>
		<?php if ( is_category() ) { // If this is a category archive
			printf("<h1>Sorry, no post%s found in this category.</h1>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo(_e("<h1>Sorry, no post%s found with this date.</h1>", "themeteam"));
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h1>Sorry, no post%s found by %s yet.</h1>", $userdata->display_name);
		} else {
			echo(_e("<h1>Sorry, no post%s found</h1>", "themeteam"));
		}
		?>
<?php endif;?>
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix nomargin">
			<?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
	</div>
	<?php } ?>
    <?php get_sidebar();?>
	<?php  
	  //$args = array('cat'=>get_query_var('cat'),'tag'=> get_query_var('tag'),'paged'=> $paged, 'posts_per_page'=> get_option('posts_per_page') ); 
	  //query_posts($args);
	  query_posts($query_string);   
	  if (have_posts()): 
	?>
      <div class="grid_8 col-main dotted-vertical-separator big-image-listing-container">
        <ul class="big-image-listing">
      <?php while (have_posts()) : the_post(); ?>
          <li class="post clearfix post-item">
            <?php if (has_post_thumbnail()): ?>
            <div class="clearfix">
                <div class="thumbnail"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_post_thumbnail('thumb614x264'); ?><!--?php echo themeteam_resize(get_the_post_thumbnail_src($post->ID),'','','614','264'); ?--></a></div>
            </div>
                <?php endif ?>
              <div class="post-copy">
              <span class="comments-big-icon"><?php comments_popup_link(__('0', 'themeteam'), __('1', 'themeteam'), __('%', 'themeteam')); ?></span>
              <h2><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></h2>
              <div class="icons clearfix">
                	<span class="date-icon"><?php the_time( get_option('date_format') ); ?></span>
                    <span class="categories-icon"><?php the_category(', ') ?></span>
              	</div>
              <article class="article"><?php the_excerpt(); ?></article>
              </div>
          </li>
      <?php endwhile; ?>
        </ul>
		<div class="left nav"><?php next_posts_link('&laquo; Older Entries') ?></div>
		<div class="right nav"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
	  <?php else:?>
      <p><?php _e('Sorry, but you are looking for something that we can not find.', 'themeteam') ?></p>
      <?php endif;?>
      <br /><br />
      </div>
<?php get_footer(); ?>
