<?php 
$layoutFeatured = get_option('themeteam_graffiti_featured_layout');
switch($layoutFeatured){

	case 'portfolio':
?>

	<!-- PORTFOLIO -->
<div class="dotted-horizontal-separator dotted-container">	
	<?php 
	$portfoliopages = get_option('themeteam_graffiti_portfolio_ids');
	$portfoliopages_array=split(",",$portfoliopages); 
	$portfoliopages_array = array_diff($portfoliopages_array, array(""));
	$args = array('post_type' => 'portfolio','skills'=>get_query_var('skills'),'post__in' => $portfoliopages_array, 'posts_per_page'=> '2', 'caller_get_posts' => 1 ); query_posts($args);?>
	
	<ul class="small-image-listing">
		<li class="post clearfix">
			<div class="grid_4">
				<h2><?php echo get_option('themeteam_graffiti_portfolio_area_header'); ?></h2>
				<p><?php echo stripslashes(get_option('themeteam_graffiti_portfolio_area_blurb')); ?></p>
				<?php if(get_option('themeteam_graffiti_portfolio_area_link')): ?>
				<p><a href="<?php echo get_option('themeteam_graffiti_portfolio_area_link'); ?>"><?php _e('Go to', 'themeteam') ?> <?php echo get_option('themeteam_graffiti_portfolio_area_header'); ?> &rarr; </a></p>
				<?php endif; ?>
			</div>
		</li>
	<?php if (have_posts()):?>
		<?php while (have_posts()): the_post() ?>
		<?php 
			$themeteam_video_embed = get_post_meta($post->ID, "themeteam_video_embed", true);
		?>
		<li class="portfolio post clearfix">
        	<div class="grid_4">
        		<?php if($themeteam_video_embed) { ?>
        		<div class="thumbnail magnifier play">
        			<a class="" rel="prettyPhoto" href="<?php echo $themeteam_video_embed; ?>"><?php the_post_thumbnail('thumb300x250'); ?></a>
				</div>
				<?php }else if (has_post_thumbnail()): global $post; ?>
                <div class="thumbnail magnifier zoom">
                	<a class="" href="<?=get_the_post_thumbnail_src($post->ID); ?>" rel="prettyPhoto[pp_gal_<?php echo $post->ID ?>]" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_post_thumbnail('thumb300x250'); ?></a>
                </div>
                <?php
  					$attachments = get_children
					(
						array
						(
							'post_parent' => get_the_ID(),
							'post_type' => 'attachment',
							'post_status' => null,
							'numberposts' => -1,
							'post_mime_type' => 'image'
						)
					);
					
					if (is_array($attachments) && count($attachments)):
						foreach ($attachments as $attachment):
							$full = wp_get_attachment_image_src($attachment->ID, 'full') 
					?>
  							<a href="<?php echo esc_attr($full[0]) ?>" rel="prettyPhoto[pp_gal_<?php echo $post->ID ?>]" style="display:none;"></a>
  						<?php endforeach;
  					endif; ?>
                <?php endif; ?>
              	<div class="post-content">
              		<p><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?> &rarr;</a></p>
              	</div>
			</div>
		</li>		
		<?php endwhile; ?>
	<?php else:?>
		<li class="post clearfix">
			<div class="grid_4">
				<h2><?php _e('Not Found', 'themeteam') ?></h2>
				<p><?php _e('Sorry, but you are looking for something that we can not find.', 'themeteam') ?></p>
			</div>
		</li>
    <?php endif;?>
	</ul>
</div>
<?php
	break;
	case '3posts':
?>
	<!-- 3 POSTS -->
	<div class="dotted-horizontal-separator dotted-container2 posts-3">
      <?php $my_query = new WP_Query(array('post__in'=>get_option('sticky_posts'), 'posts_per_page' => '3', 'caller_get_posts' => 1));	?>
        <?php if ($my_query->have_posts()) :?>
        <ul class="small-image-listing">
		<?php while ($my_query->have_posts()) : $my_query->the_post() ?>
          <li class="portfolio post clearfix">
            <div class="grid_4">
            	<?php if (has_post_thumbnail()): global $post; ?>
            	<div class="thumbnail"><a class="" href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_post_thumbnail('thumb300x250'); ?><!--?php echo themeteam_resize(get_the_post_thumbnail_src($post->ID),'','','292','111'); ?--></a></div>
            	<?php endif; ?>
            	<div class="post-content">
	            	<p><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></p>
	            	<?php the_excerpt() ?>
            	</div>
            </div>
          </li>
      <?php endwhile; ?>
        </ul>
      <?php else:?>
		<h2><?php _e('Not Found', 'themeteam') ?></h2>
		<p><?php _e('Sorry, but you are looking for something that we can not find.', 'themeteam') ?></p>
      <?php endif;?>
      </div>	
<?php	
	break;
	case 'none':
	//nothing to do
?>
	<div class="clear"><!--clear fix--></div>
<?php	
	
	break;

}
?>
		  
