<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */

get_header(); ?>
    <div class="page-title clearfix">
      <!-- <div class="grid_12"> -->
        <h1><?php the_title();?></h1>
      <!-- </div> -->
    </div>
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix nomargin">
		<!-- <div class="grid_12"> -->
            <?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
        <!-- </div> -->
	</div>
	<?php } ?>
				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
				<?php
					$themeteam_header_text = get_post_meta($post->ID, "themeteam_header_text", true); 
			    	$themeteam_video_embed = get_post_meta($post->ID, "themeteam_video_embed", true); 
			    	$themeteam_video_height = get_post_meta($post->ID, "themeteam_video_height", true); 
			    	$themeteam_video_width = get_post_meta($post->ID, "themeteam_video_width", true); 
			    	$video_width = $themeteam_video_width + 2;
			    	$video_height = $themeteam_video_height + 2;
		    	?>
            		<div class="article">
            			<div class="container_12">
				    	<?php if($themeteam_video_embed) { ?>
                          <div class="clearfix">		
		          			<div class="thumbnail" style="width:<?php echo $video_width; ?>;height:<?php echo $video_height; ?>;">
		          				<?php echo $themeteam_video_embed; ?>
		          			</div>
		                 </div>
		              	<?php } else if (has_post_thumbnail()) { ?>
                          <div class="clearfix">		
		             		<div class="thumbnail">
								<?php the_post_thumbnail('thumb930x520'); ?>
		             		</div>
		                  </div>
		                  <div class="clear"></div>
		              	<?php } ?>
			  			<?php the_content(''); ?>
			  			</div>
					</div>
				<?php endwhile; endif; ?>
<?php get_footer(); ?>
