<?php
/**
 * @package WordPress
 * @subpackage graffiti_Theme
 */

get_header(); ?>
    <div class="page-title clearfix">
      <h1>Search Results</h1>
    </div>
    <?php if (get_option('themeteam_graffiti_enable_breadcrumbs') == 'true'){ ?>
	<div class="breadcrumbs clearfix">
			<?php breadcrumbs(get_option('themeteam_graffiti_enable_breadcrumbs')); ?>
	</div>
	<?php } ?>
    <div class="grid_8 col-main dotted-vertical-separator small-image-listing-container">            
     <?php if (have_posts()):?>
        <ul class="small-image-listing">
             <?php while (have_posts()): the_post() ?>
          <li class="post clearfix post-item">
            <?php if (has_post_thumbnail()): ?>
                <div class="thumbnail"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_post_thumbnail('thumb220x220'); ?></a></div>
                <?php endif ?>
              <span class="comments-big-icon"><?php comments_popup_link(__('0', 'themeteam'), __('1', 'themeteam'), __('%', 'themeteam')); ?></span>
              <h2><a href="<?php the_permalink();?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'themeteam'), get_the_title()); ?>"><?php the_title();?></a></h2>
              <div class="left icons clearfix">
                	<span class="date-icon"><?php the_time( get_option('date_format') ); ?></span>
                    <span class="categories-icon"><?php the_category(', ') ?></span>
              	</div>
              <article class="article"><?php the_excerpt(); ?></article>
          </li>
      <?php endwhile; ?>
        </ul>
        <div class="clear"></div>
		<div class="left nav"><?php next_posts_link('&laquo; Older Entries') ?></div>
		<div class="right nav"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		<div class="clear"></div>
      <?php else:?>
		<h2><?php _e('Not Found', 'themeteam') ?></h2>
		<p><?php _e("Sorry, but you are looking for something that isn't here.", "themeteam") ?></p>
      
      <?php endif;?>
</div>
    <?php get_sidebar();?>
<?php get_footer(); ?>
